# 디버깅

* 연동 과정에서 디버깅을 필요하다면, 아래와 같이 코드를 적용하여 LogCat에서 'AdPieSDK'의 Tag를 검색하여 확인합니다.

```java
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // 디버깅 적용
        AdPieLog.setLogEnable(true);
        AdPieLog.setLogLevel(Log.DEBUG);

        // SDK 초기화 (Main Activity에 필수로 입력)
        AdPieSDK.getInstance().initialize(getApplicationContext(), "AdPie-Media-ID");

    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://platform-business.gitbook.io/adpie/android/common/debug.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
